Subject: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Aug 2020 21:35:52 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: Paul Eggert <[email-masked]>
> Date: Tue, 11 Aug 2020 11:11:20 -0700
> 
> Ah, it's because Emacs uses C99 inttypes.h macros like PRIdPTR without also 
> using the Gnulib inttypes module which implements these macros on platforms like 
> MinGW where the macros don't work. This problem occurs elsewhere in Emacs in a 
> couple of places, we just never noticed it. I installed the attached patch, 
> which I hope fixes the glitch.

It doesn't, because we avoid the Gnulib inttypes module on MinGW.

I don't understand why it's needed; there's nothing wrong with MinGW's
inttypes.h header.